> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Link

> Payment Link



## OpenAPI

````yaml post /order/api-qr_code_link
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /order/api-qr_code_link:
    post:
      tags:
        - Payment Collection Methods
      summary: QR Payment Link
      description: QR Payment Link
      operationId: qrPaymentLink
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: string
                  example: '2.00'
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
                order_id:
                  type: string
                  example: '24400'
              required:
                - amount
                - merchant_key
                - order_id
            examples:
              QR Payment Link:
                value:
                  amount: '2.00'
                  merchant_key: '{{merchant_key}}'
                  order_id: '24400'
      responses:
        '201':
          description: QR Payment Link
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '193'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 16:12:16 GMT
            ETag:
              schema:
                type: string
                example: W/"c1-qzovrDgjA6MzpTR5iSpF4ZAJxMs"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      order_id:
                        type: string
                        example: '24400'
                      qr_code_link:
                        type: string
                        example: >-
                          https://testapi.fractalpay.com/authcheck-paymentlink/pqy8mwj4tjl
                      sales_id:
                        type: string
                        example: txn_c9d48e46ed
                  message:
                    type: string
                    example: QR code URL has been created
              examples:
                QR Payment Link:
                  value:
                    data:
                      order_id: '24400'
                      qr_code_link: >-
                        https://testapi.fractalpay.com/authcheck-paymentlink/pqy8mwj4tjl
                      sales_id: txn_c9d48e46ed
                    message: QR code URL has been created
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````